Skip to main content
PUT
Update Event
Update the details of an existing event. You can modify any of the fields that were set during event creation.

Path Parameters

string
required
The ID of the event to update

Required Fields

string
required
The name of your event
string
required
The type of venue you’re looking for
string
required
The type or category of your event
datetime
required
Event start date and time (UTC)
datetime
required
Event end date and time (UTC)
string
required
Desired location for the event
number
required
Total budget for the event
integer
required
Expected number of attendees
integer
required
Number of hotel rooms required
datetime
required
Deadline for making the venue decision

Optional Fields

string
Additional requirements or preferences
string
Meeting room requirements
string
Specific food and beverage needs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

eventId
string
required

Body

application/json
name
string
required

Name of the event

venue_type
string
required

Type of venue required

event_type
string
required

Type/category of the event

start_date
string<date-time>
required

Start date and time in UTC

Response

200

Event updated successfully